import { CommandHelper, BaseCommand } from '../..';
import * as _ from 'lodash';

export default class Command extends BaseCommand {
  constructor(...args) {
    // @ts-ignore
    super(...args, {
      Name: 'maintenance',
      Permission: 'ownerOnly',
    });
  }

  public async run(Helper: CommandHelper): Promise<void> {
    this.client.redis.Redis.set('maintenance', '1');
    const args = _.split(Helper.Message.content, ' ').splice(1);
    if (args[0] !== 0 || args[0] !== 1) {
      return Helper.sendMessage('You must set maintenance to 1 or 0.');
    }
  }
}
