import { BasePermission, Config, Logger } from '..';

export default class Permission extends BasePermission {
  private Config: Config;

  constructor(...args) {
    // @ts-ignore
    super(...args, {
      Name: 'ownerOnly',
      Hidden: true,
    });
    this.Config = new Config();
  }

  public async run(commandHelper) {
    return commandHelper.Author.id === this.Config.get('ownerID', '');
  }
}
