import { Collection, Util } from '../Util';
import { HandlerModule } from './HandlerModule';

export class AliasHandler extends HandlerModule {
  public aliases: Collection;
  constructor(...args) {
    // @ts-ignore
    super(...args);

    this.aliases = new Collection();
  }

  get(name) {
    return super.get(name) || this.aliases.get(name);
  }

  // @ts-ignore
  setup(module) {
    // @ts-ignore
    const existing = super.setup(module);
    if (!existing) return undefined;
    for (const alias of existing.aliases) this.aliases.set(alias, existing);
    return existing;
  }
}
