import { CommandHelper, BaseCommand } from '../..';
import * as util from 'util';
import * as _ from 'lodash';

export default class Command extends BaseCommand {
  constructor(...args) {
    // @ts-ignore
    super(...args, {
      Name: 'eval',
      Aliases: ['ev', 'sh'],
      Permission: 'ownerOnly',
    });
  }

  public async run(Helper: CommandHelper) {
    let depth;
    const args = _.split(Helper.Message.content, ' ').splice(1);
    const code = args.join(' ');
    depth = 0;
    try {
      const Result = util.inspect(await eval(code), null, depth);
      const token = _.replace(Helper.Client.token, /\./g, '.');
      const regex = new RegExp(token, 'g');

      // Result = _.replace(Result, regex, '「ｒｅｄａｃｔｅｄ」');

      await Helper.sendMessage({
        embed: {
          title: 'Eval:',
          author: {
            name: Helper.Author.username,
            icon_url: Helper.Author.avatarURL,
          },
          color: 0x008000,
          fields: [
            {
              name: 'Code:',
              value: `\`\`\`js\n${code}\`\`\``,
              inline: false,
            },
            {
              name: 'Result:',
              value: `\`\`\`js\n${Result}\`\`\``,
              inline: false,
            },
          ],
        },
      });
    } catch (err) {
      return Helper.sendMessage(`\`\`\`js\n${err}\`\`\``);
    }
  }
}
